ghc-lib-parser-9.12.2.20250421: The GHC API, decoupled from GHC versions

Copyright | (c) The University of Glasgow 2001
License | BSD-style (see the file LICENSE)
Maintainer | Jeffrey Young <jeffrey.young@iohk.io> Luite Stegeman <luite.stegeman@iohk.io> Sylvain Henry <sylvain.henry@iohk.io> Josh Meredith <josh.meredith@iohk.io>
Stability | experimental
Safe Haskell | Ignore
Language | GHC2021

GHC.StgToJS.Linker.Types

Description

# Documentation

data JSLinkConfig Source #

Constructors

JSLinkConfig |

Fields

- lcNoJSExecutables :: !Bool

  Dont' build JS executables

- lcNoHsMain :: !Bool

  Don't generate Haskell main entry

- lcNoRts :: !Bool

  Don't dump the generated RTS

- lcNoStats :: !Bool

  Disable .stats file generation

- lcForeignRefs :: !Bool

  Dump .frefs (foreign references) files

- lcCombineAll :: !Bool

  Generate all.js (combined js) + wrappers

- lcForceEmccRts :: !Bool

  Force the link with the emcc rts. Use this if you plan to dynamically load wasm modules made from C files (e.g. in iserv).

- lcLinkCsources :: !Bool

  Link C sources (compiled to JS/Wasm) with Haskell code compiled to JS. This implies the use of the Emscripten RTS to load this code.

data LinkPlan Source #

Constructors

LinkPlan |

Fields

- lkp_block_info :: Map Module LocatedBlockInfo

  Block information

- lkp_dep_blocks :: Set BlockRef

  Blocks to link

- lkp_archives :: !(Set FilePath)

  Archives to load JS and Cc sources from (JS code corresponding to Haskell code is handled with blocks above)

- lkp_objs_js :: !(Set FilePath)

  JS objects to link

- lkp_objs_cc :: !(Set FilePath)

  Cc objects to link

#### Instances

Instances details

Outputable LinkPlan Source # |
Instance details Defined in GHC.StgToJS.Linker.Types Methods ppr :: LinkPlan -> SDoc Source #